Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1741336

Summary: Review Request: meteo - Forecast application using OpenWeatherMap API
Product: [Fedora] Fedora Reporter: Artem <ego.cordatus>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: decathorpe, package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-29 22:06:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Artem 2019-08-14 20:00:16 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/meteo/fedora-30-x86_64/01002138-meteo/meteo.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/meteo/fedora-30-x86_64/01002138-meteo/meteo-0.9.7-2.fc30.src.rpm

Description:
Know the forecast of the next hours & days.

Developed with Vala & Gtk, using OpenWeatherMap API.

Features:

• Current weather, with information about temperature, pressure, wind speed and
  direction, sunrise & sunset.
• Forecast for next 18 hours.
• Forecast for next five days.
• Choose your units (metric, imperial or british).
• Choose your city, with maps help.
• Awesome maps with weather info.
• System tray indicator.

Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/meteo/

Note: need internet access for appdata.xml validation.

Comment 1 Fabio Valentini 2019-08-14 21:14:52 UTC
> Note: need internet access for appdata.xml validation.

Why? appdata validation should not require internet access, since you invoke it with the --nonet flag.

You probably should drop %meson_test instead, if the only thing it does is validate the .desktop and .appdata.xml files separately, which you must already do for fedora anyway.

Comment 2 Fabio Valentini 2019-08-14 21:15:58 UTC
Also, the bullet point that's used in the description is probably not an ASCII character. I'd replace it with a simple dash "-" instead.

Comment 3 Artem 2019-08-14 21:53:55 UTC
Yep. %meson_test not necessary there. Thanks a lot.

Comment 6 Robert-André Mauchin 🐧 2019-08-23 16:24:02 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License (v3)", "Creative Commons Attribution-ShareAlike Public License
     (v4.0)", "GPL (v3 or later)", "GPL (v2 or later) (with incorrect FSF
     address)". 52 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/meteo/review-
     meteo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in meteo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: meteo-0.9.7-4.fc32.x86_64.rpm
          meteo-debuginfo-0.9.7-4.fc32.x86_64.rpm
          meteo-debugsource-0.9.7-4.fc32.x86_64.rpm
          meteo-0.9.7-4.fc32.src.rpm
meteo.x86_64: W: spelling-error %description -l en_US british -> British, brutish, britches
meteo.x86_64: W: no-manual-page-for-binary com.gitlab.bitseater.meteo
meteo.src: W: spelling-error %description -l en_US british -> British, brutish, britches
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 7 Gwyn Ciesla 2019-08-23 20:58:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/meteo

Comment 8 Fedora Update System 2019-08-24 04:58:59 UTC
FEDORA-2019-2b2cc01229 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b2cc01229

Comment 9 Fedora Update System 2019-08-24 05:06:44 UTC
FEDORA-2019-5314386668 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5314386668

Comment 10 Fedora Update System 2019-08-25 02:43:40 UTC
meteo-0.9.7-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b2cc01229

Comment 11 Fedora Update System 2019-08-25 05:00:01 UTC
meteo-0.9.7-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5314386668

Comment 12 Fedora Update System 2019-08-29 22:06:24 UTC
meteo-0.9.7-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-09-02 03:05:58 UTC
meteo-0.9.7-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.